> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteTable

> Permanently deletes a table and all its associated data from the system. Use with caution, as this action cannot be undone.



## OpenAPI

````yaml /tables-openapi.json delete /v1/tables/{table}
openapi: 3.0.0
info:
  title: Botpress Tables API
  description: API for Botpress Tables
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/tables/{table}:
    delete:
      tags:
        - Endpoints
      description: >-
        Permanently deletes a table and all its associated data from the system.
        Use with caution, as this action cannot be undone.
      operationId: deleteTable
      parameters:
        - name: table
          in: path
          description: >-
            The table's name or unique identifier for targeting specific table
            operations.
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
        - name: x-integration-name
          in: header
          description: Integration name
          required: false
          schema:
            type: string
        - name: x-user-id
          in: header
          description: User Id
          required: false
          schema:
            type: string
        - name: x-user-role
          in: header
          description: User Role
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/deleteTableResponse'
        default:
          $ref: '#/components/responses/deleteTableResponse'
components:
  responses:
    deleteTableResponse:
      description: Confirmation that the table has been deleted.
      content:
        application/json:
          schema:
            type: object
            title: deleteTableResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````